=============
CPad 更新履歴
=============

2001/10/26

Version 2.31

274.
　[Java版]Packageに対応した。

275.
　[Java版]ソースファイルのディレクトリ、及び.classファイルの
出力ディレクトリを指定できるようにした。

276.
　コマンドバーで"#"に続けてコマンドを入力すると、コマンドの終了待ちを
するようにした。コマンド終了後は"Press any key to exit"と表示する。
例: 「#ver」「#@..\..>dir」

277.
　「フラット」インターフェース実装。（[表示(V)]-[フラット(U)]メニュー）

278.
　設定ファイルが[読み取り専用]属性の場合に、設定を保存せずに終了するようにした。

279.
　ファイラウィンドウにおいて、右クリックでエクスプローラ互換の
ポップアップメニューを表示するようにした。

280.
　ファイラウィンドウにおいて[F2]キーでファイル名を変更できるようにした。

281.
　メッセージウィンドウ・ファイル検索結果ウィンドウの背景色と文字色が
変わらなかった不都合を修した。

282.
　[すべて置換]し終わった後に「検索文字列"xxxxx"は見つかりませんでした。」と
表示される不都合を修正した。

283.
　確認なしで[すべて置換]した後、置換した文字列の総数を表示するようにした。

284.
　メッセージウィンドウ・ファイル検索結果ウィンドウの横スクロールバーを
表示できるようにした。

285.
　すべてのツールバーの表示・非表示を指定できるようにした。

286.
　コマンドバーの位置が保存されない不都合を修正した。

287.
　ファイラウィンドウの位置が保存されない不都合を修正した。

288.
　[ファイル(F)]-[すべて閉じる(L)]機能を実装した。

289.
　エディタの水平スクロールバーの表示・非表示を指定できるようにした。

290.
　メッセージウィンドウの水平スクロールバーの表示・非表示を指定できるようにした。

291.
　検索結果ウィンドウを一括で閉じることができるようにした。
（[表示(V)]-[メッセージウィンドウ(M)]-[検索結果ウィンドウ]メニュー）

292.
　[検索][置換]のオプションを保存できるようにした。

293.
　LSIC86版において、デフォルトでWindows2000対策を有効にした。

294.
　設定ダイアログの配置を整理した。

295.
　メニューを整理した。


2001/09/11

Version 2.30

270.

　HTMLのヘルプをつけた。

271.
　C#版において、[設定]-[表示]-[拡張オートインデント]のチェックボックスが
無効になっている不都合を修正した。

272.
　[設定]-[その他]-[VMコマンド]及び[設定]-[その他]-[VMパラメータ]の背景色が
間違っていたのを修正した。

273.
　[実行]-[プログラム実行]メニューを[実行]-[コマンド入力]に変更した。
同時にショートカットキーも[Ctrl+F7]に変更し、[実行]-[コマンドバー実行]の
ショートカットキーを[F7]に変更した。


2001/09/10

Version 2.291

264.
　C#に対応した。（C#のMS実装であるC# .NETに対応した。CPad for C# .NET）

265.
　メッセージウィンドウが表示されていない状態でメッセージが更新された場合に
メッセージウィンドウを表示しなおすようにした。

266.
　[Java版]メッセージウィンドウにおいて、複数ファイルの[エラー行にジャンプ]に対応した。

267.
　[Java版]Ant出力の[javac]エラーメッセージからのジャンプに対応した。

268.
　他のアプリケーションによって書き換えられたソースコードを読み込み直したとき、
内部のタイムスタンプが更新されない場合がある不都合を修正した。

269.
　[表示(V)]-[メッセージウィンドウ(M)]のショートカットキーを[Ctrl+Shift+M]に設定した。


2001/09/08

Version 2.29

253.
　[変更禁止][すべて変更禁止]を実装した。

254.
　読み取り専用属性のファイルを開いた場合、書込禁止で開くようにした。

254.
　他のアプリケーションによって編集中のファイルが書き換えられた場合、
ダイアログを表示して読み込み直すようにした。

255.
　コマンドバーに ! に続けてコマンドを入力するとコンソールウィンドウを
表示せずにコマンドを実行する。例: 「!winver」「!@C:\Program Files>winver」

256.
　ファイルの読み取り専用属性が編集中に変更された場合、それを反映するようにした。

257.
　BCC版、LSIC版でもドキュメントコメント入力支援機能を有効にした。

258.
　ドキュメントコメント入力支援機能のON/OFFを設定で切り替えられるようにした。

259.
　新規ドキュメントを保存した場合に[変更あり]の表示が消えない不都合を修正した。

260.
　Java版の[ファイルを開く]ダイアログで 拡張子.xmlのファイルを表示するようにした。

261.
　シングルドキュメントモードでファイラからファイルを開いたとき、
2つめのエディタが開いてしまう不都合を修正した。

262.
　[実行(R)]-[コマンドバー実行(X)]メニューを追加した。コマンドバーに
表示されているコマンドを即実行する。

263.
　[表示(V)]-[LeftPain]メニューを[表示(V)]-[ファイラ(L)]メニューに変更した。


2001/09/05

Version 2.287

251.
　Java版において、ドキュメントコメント入力支援機能を実装した。

252.
　ファイル保存ダイアログのフィルタをひとつにまとめた。


2001/09/04

Version 2.286

247.
　TEditorベースのListBoxをコンポーネント化(TEditorListBox)した。
同時に「メッセージウィンドウ」と「ファイル検索結果表示ウィンドウ」を
TEditorListBoxベースに変更した。
表示テキストの[コピー][全て選択][全てコピー]ができるようになった。

248.
Java版において、設定ダイアログに[VMコマンド][VMパラメータ]追加。
実行時VMに「jview」等を指定できるようになった。


249.
メインウィンドウのPageControlを複数行対応にした。ファイルを多く開いたときにタブ行が
増えていくようになった。

250.
ファイルの検索 - 検索結果ウィンドウのフォントをメッセージウィンドウのフォントにした。



2001/09/03

Version 2.285

243.
　コマンドバーからの実行時、カレントディレクトリを指定できるようにした。
指定方法は以下の通り。ディレクトリは絶対パスでも相対パスでもよい。

出力を取り込む場合
>@(ディレクトリ)>(コマンド)

コマンドプロンプトに表示する場合
@(ディレクトリ)>(コマンド)

例)
>@..\..>dir
@C:\Program Files>java --version


244.
　メッセージウィンドウをTListBoxベースからからTEditorベースへ変更した。
同時にテキスト版メッセージウィンドウを廃止した。

245.
　CPadがメッセージウィンドウに表示するメッセージを<>囲みから[]囲みに変更した。

246.
　特定のWindowsME環境で実行ができなくなっていた不都合を修正した。
(216.)の修正によって一部環境と相性が悪くなっていたようだ。


2001/09/02

Version 2.283

242.
  パス周りを少し改良。32ビットコンパイラの場合、
空白を含まないロングファイル名をそのまま渡すようにした。


2001/08/27

Version 2.282

241.
  Windows9x系でコンパイルできなくなっていたバグを修正。（2.281で直っていませんでした。）


2001/08/24

Version 2.281

240.
  Windows9x系で動作しなくなっていたバグを修正。


2001/08/23

Version 2.28

236.
　[設定]-[高度な設定]-[追加する環境変数]及び[追加するパス]において他の
環境変数を参照する変数（%VARIABLE% 形式）を使えるように改良。

237.
　一部環境において、コンパイラのパスが取得できない場合に対応した。

238.
　[ツール]-[ファイル履歴をクリア]機能を実装。

239.
　BCC版及びLSIC版において、[ツール]メニューからコンパイラの設定ファイルを開けるようにした。


2001/08/04

Version 2.27

234.
　ファイル検索(Grep)機能を実装した。[検索]-[ファイル検索 Grep]メニュー。
ショートカットは[Ctrl+Shift+G]。

235.
　"}"のバックインデント動作の一部不都合を修正した。


2001/07/01

Version 2.26

230.
　Java/C/C++におけるブロック終端の括弧"}"を入力したとき、ブロック開始括弧"{"の行の
インデントに合わせるようにした。
[拡張インデント]を有効にしていると自動的に有効になる。

231.
　改行マークを変更した。フォントサイズが小さいときも矢印が崩れなくなった。

232.
　Java版においてデフォルトのタブ幅をスペース4つ分に変更した。

233.

　改行マーク・EOFマークの色を指定できるようにした。

234.
　メッセージウィンドウの背景色・文字色をエディタ部分と同一にした。


2001/06/14

Version 2.25

224.
　ツールバーに「コマンドバー」を追加し、任意コマンドを実行可能にした。（[F7]キー）

225.
　初回起動時の初期設定の後、再起動しなくても[標準のデータフォルダ]が有効になるように改良した。

226.
　ファイラのデフォルトフォルダを、「標準のデータフォルダ」に変更した。

227.
　起動に時間がかかるため、デフォルトでファイラを表示しないように変更した。

228.
　メッセージウィンドウのフォント名がフォントサイズと同じ数字になっていた不都合を修正した。

229.
　ファイルを保存したとき、ステータスバーにファイル名が表示されなかった不都合を修正した。


2001/05/31

Version 2.24

223.
　ファイラを実装した。


2001/05/24

Version 2.232

212.
[ファイルを開く]ときに常に文字コードを自動判別するように改良した。
ファイル履歴からのファイルオープンでも文字コード自動判別が動作するようになった。
これに伴い、[ファイル]-[文字コードを自動判別して開く]メニューを廃止した。

213.
　すでに設定されている環境変数PATHにロングファイル名が含まれていても
すべてショートファイル名に変換するよう改良した。

214.
　環境変数PATHのうち、重複しているパスを取り除くように改良した。

215.
　大文字・小文字だけが違うキーワードが複数あった場合に
そのうちひとつしか強調表示されない不都合を修正した。

216.
　Windows2000において環境変数TEMPであらわされるパスに
全角スペースが入っていた場合にコンパイル・実行できない不都合を修正した。

217.
タブのタイトル部分を右クリックしたときに[閉じる(C) Ctrl+F4]メニューを
表示するように改良した。

218.
最大化したまま起動する場合に、ウィンドウ位置が数ピクセルずれていた不都合を修正した。

219.
　2バイト目が'\'と同じ文字コードになる2バイト文字（"ソ"など）で文字列が終了しているときに
'"'以降も文字列として認識してしまう不都合を修正した。

219.
　Fortran版:Fortran90のコメント"!"をサポートした。1桁目が"!"である行はコメントとして
表示されます。

220.
　Fortran版:ファイルを開く、およびファイル保存時に拡張子 .h のファイルもデフォルトで
表示するように変更した。

221.
　バイナリファイルを開こうとしたときに警告を表示するように改良した。

222.
　ファイルサイズが10MBを超えるファイルを開こうとしたときに警告を表示するように改良した。


2001/05/19

Version 2.231

209.
　Java版において暫定的に複数ファイル対応。複数ファイルの同時編集が可能になった。
ただし、エラーメッセージをクリックしたときはそのときアクティブになっている
エディタの該当行にジャンプする。

210.
　[実行（make依存）]の場合に、実行時のカレントディレクトリが
ソースファイルのディレクトリになっていた不都合を修正した。

211.
　Java版のデフォルトキーワードが間違っていたのを修正した。(abstruct → abstract)



2000/11/08

Version 2.23

203.
　MAKEFILEから抽出するファイル名に、絶対パス（ドライブ名含む）も
相対パスも指定できるように変更。
　ただし、# Target: xxx.exe または、 # Target: "X:\xxx\xxx.exe"
の形式で、パス名にスペースが含まれる場合は""で括る。

204.
　[ファイル]-[make]の時に、実行ファイル名の抽出に失敗すると
makeそのものを中断していた不都合を修正。

205.
　変更されていない新規ドキュメントが左右分割表示されている状態で
別のファイルを開いたとき、右ページが残ってしまう不都合を修正。

206.
　開いたファイルの履歴を20個に拡張。

207.
　ファイルの履歴を参照するメニューの名称を[ファイル(F)]-[開き直す(R)]から
[ファイル(F)]-[最近開いたファイル(R)]に変更。

208.
　[実行]-[エクスプローラを起動]において、対象ファイルでエクスプローラが
開かなかった不都合を修正。


2000/11/03

Version 2.22

191.
　「エラー行へジャンプ」を改良。対象ファイルが開いてないときは、
ファイルを開いた後にエラー行へジャンプする。

192.
　選択領域のインデント・アンインデント時において、Redo/Undoが有効に
なるように改良。

193.
　[ファイルを開く]ダイアログで[ファイルの種類]が空白になっていた不都合を
修正。

194.
　ステータスバー上のファイル名・変更の有無の更新をエディタの切り替えに
追随するように改良。

195.
　ソフトタブが有効のとき、TEditor1.74で実装されたバックスペースアン
インデントも有効にするように変更。

196.
　ウィンドウにDrag&Dropでファイルを開いたとき、新規エディタが開くように変更。

197.
　複数ファイルの同時Drag&Dropに対応。

198.
　起動時の複数ファイル読み込みに対応。

199.
　[ファイル]-[すべて保存]を実装。

200.
　[文字コードを自動認識して開く]のとき、新しいエディタが開くように変更。

201.
　ファイルを開くときに、既に開いているファイルかどうか
チェックするように改良。

202.
　右ページのエディタがなくなったときに、自動的に右ページが閉じるように改良。


2000/10/18

Version 2.21

185.
　エディタ間移動機能を実装。ショートカットは Alt+↓, Alt+↑, Alt+→.

186.
　エディタ移動機能を実装。ショートカットは Shift+Ctrl+L と Shift+Ctrl+R.

187.
　[LSI C-86 マニュアルビューア]表示領域の横スクロールバーを
出さない設定に変更。

188.
　初回起動時に画面が真っ黒になる不都合を修正。

189.
　開いたファイルが履歴に残らない不都合を修正。（予定）

190.
　挿入/上書の切り替えがアクティブなエディタにしか有効でなかったバグを修正。


2000/10/13

Version 2.20

175
　とりあえず複数ファイルに対応。複数ファイルを同時に編集できます。

176.
　エディタ上下分割機能を搭載。同じファイルの別の位置を同時に表示できます。

177.
　エディタの左右分割機能を搭載。別のファイル、同じファイルを問わず、
左右に並べて表示します。

178.
　コンパイル時パラメータなどの設定を変更した場合にコンパイルスキップが
無効になるよう改良。

179.
　タブの切り替えを行う際にメモリリークが発生するバグを修正。
Delphi5のバグでした。(-_-;;

180.
　Windows95/98において、終了時に「無効なスイッチです。-/F」と表示される
不都合を修正。

181.
　[実行時のウィンドウ制御]-[一定時間後に閉じる]を廃止。

182.
　行番号・ルーラーの描画方法をTEditor新バージョンにあわせて大幅に変更。

183.
　行番号の表示・非表示を実装。

184.
　ルーラーの表示・非表示を実装。


2000/07/28

Version 2.11

171.
　エラーメッセージをダブルクリックしても該当行にジャンプできない
不都合を修正。

172.
　新規作成時、それまで開いていたファイルのフォルダがデフォルトの
保存先になるよう改良。

173.
　印刷設定を保存するように改良。[印刷・印刷プレビュー]ダイアログで
[OK]を押すと保存される。

174.
　[編集]-[元に戻す]メニューが機能していなかった不都合を修正。


2000/07/19

Version 2.10

165.
　Pascalコンパイラの「Free Pascal Compiler」に対応。

166.
　[設定]-[実行]-[コンパイルスキップを有効にする]設定を追加。
コンパイルスキップのON/OFFを指定できるようにした。デフォルトはON。

167.
　コンパイル時、コマンドラインをメッセージウィンドウに表示するよう改良。

168.
　[ファイル]-[開き直す]メニューにおいて、最初のファイル名が無効になる場合が
ある不都合を修正。

169.
　ファイルが更新されているのにコンパイルスキップが機能してしまう
不都合を修正。

170.
　TurboDebugger日本語版の公開を受けて、[実行]-[Turbo Debuggerを起動]機能を
日本語版専用に変更。インプライズ偉い！みんなで感謝しましょう。


2000/07/16

Version 2.096

149.
　TurboDebuggerの起動前にファイルの存在チェックを行うようにした。
Win9x上において、無意味に英語モードに移行することがなくなった。

150.
　LSI C-86マニュアルビューアの初期表示位置を修正。

151.
　メッセージウィンドウのサイズが変更できなくなることがあるバグを修正。

152.
　Java版における[make＆実行]の時にも、.exeファイルを探していたバグを修正。
.classファイルを探すようにした。

153.
　[コンパイル時に自動的に上書き保存する]の設定が変更できない不都合を修正。

154.
　[自動保存時に確認する]設定を追加。デフォルトはOFF。

155.
　ファイルが変更された状態で終了しようとしたとき、保存に失敗してもそのまま
終了してしまう不都合を修正。

156.
　ウィンドウ制御ツールバーの表示位置を改良。

157.
　ファイル名以外の各種履歴について、大文字・小文字を区別するようにした。

158.
　デフォルトのキーワードリストを若干修正。

160.
　起動時に最近開いたファイルの存在チェックをするように変更。

161.
　[起動時のウィンドウ位置]が[標準に設定した位置]の場合に、メッセージ
ウィンドウの位置が正しくなかったバグを修正。

162.
　初期起動時の位置を再び修正。画面の大きさにあわせるように改良。

163.
　メッセージウィンドウに入りきらない長いメッセージをツールチップで
表示するように改良。

164.
　実行前にコマンドを実行する機能を実装。（実行時のみ有効・
コンパイル時は無効）


2000/07/05

Version 2.095

147.
　初期起動時の位置を再び修正。VGA画面に収まるようにした。

148.
　[名前を付けて保存]ができないバグを修正。


2000/07/05

Version 2.094

138.
　C/C++関数一覧＆ジャンプを実装。[検索]-[関数一覧]メニュー。
ショートカットキーは[Ctrl+D]。

139.
　検索時に、[ファイルの先頭から検索]が有効にならないバグを修正。

140.
　検索ダイアログに検索文字列の履歴が反映されないバグを修正。

141.
　予期しないトラブルを避けるため、レジストリを使う設定を削除。

142.
　他の方法が安定しているため、[エラー取得方式]から、["cpadcmd.exe"を利用]を
削除。

143.
　初回起動時のウィンドウ位置の見直し。VGAでも正常に表示されるように改良した。

144.
　読み取り専用属性のついたファイルに保存しようとしたときに警告を
表示するようにした。

145.
　印刷ダイアログの文字が英語になっていたのを日本語に修正。

146.
　印刷ダイアログでキーボード操作を行えるようにした。


2000/07/03

Version 2.093

137.
　Windows9x上において、実行時に「構文が違います.」エラーが発生するバグを修正。


2000/07/01

Version 2.092

125.
　コンパイルスキップが過剰に働くバグを修正。

126.
　LSI C-86マニュアルビューアの検索時に空のメッセージボックスが表示されるバグを
修正。

127.
　[make＆実行]で、実行ファイル名抽出に失敗したとき、[make]を実行する
ように変更。

128.
　[make]時の実行ファイル名抽出の際、コメント中に Target: ***.exe という箇所が
あったら ***.exe を実行ファイル名として認識する仕様に変更。

129.
　実行方法を改良。コマンドプロンプトウィンドウを強制終了するとOSが不安定になる
不都合を解消。

130.
　マルチスレッド動作時にメモリリークが発生するバグを修正。

131.
　置換機能を実装。

132.
　ツールバーの位置を保存するようにした。

133.
　コンパイル時パラメータ・make時パラメータに履歴をつけた。

133.
　LSI C-86マニュアルビューアにおいて、検索時に空のダイアログボックスが
表示されるバグを修正。

134.
　BCC版において、[実行]-[TurboDebuggerを起動]メニューを追加。
フリー版のTurboDebugger("td32.exe")が "bcc32.exe"と同じフォルダに
インストールされている場合に有効。

135.
　Windows9xにおいても常にコンパイラにパスが通った状態になるように改良。

136.
　[表示]-[編集ツールバー]のチェックが起動時から変化しないバグを修正。


2000/05/25

Version 2.091
80.
　「Java2 SDK Standard Edition」（Javaコンパイラ）に対応。

81.
　「Salford FTN77 Personal Edition」（Fortranコンパイラ）に対応。

82.
　[エラー取得方法]を５種類実装。エラーの取得・表示がうまく機能しない可能性が
低くなった。一部に"CPad CommandLine Utility" cpadcmd.exe を利用。

83.
　複数ファイル対応の第一段階：make対応。[make]、[make＆実行]、
[実行（make依存）]の各メニューを実装し、makeの出力結果をメッセージウィンドウに
表示するようにした。

84.
　make対応に伴って、[F9]キーの動作を[make＆実行]のショートカットキーに変更。
MAKEFILEが見つからないときは[コンパイル＆実行]に自動的に移行するので、
従来どおりの操作が可能。

85.
　ウィンドウ制御方法を追加。標準設定では"Press any key to exit"と表示して
停止する。

86.
　キーワードをカスタマイズを実装。

87.
　C/C++/Javaにおいて「拡張オートインデント」機能搭載。"{"のあとで[Enter]キーを
押したときに一段多くインデントする。デフォルトでON。

88.
　エディタの文字色・背景色カスタマイズを実装。

89.
　選択行インデント・アンインデント機能追加。キーボードショートカットは、
インデント：[Tab], [Shift+Ctrl+I]
アンインデント：[Shift+Tab], [Shift+Ctrl+U]
の２つずつ。

90.
　「LSI C-86 マニュアルビューア」をタスクバーに表示されるように改良。Alt+Tabで
切り替え可能に。

91.
　[表示]-[特殊文字]-[Tab幅を変更(Shift+Ctrl+T)]メニューを実装。
タブ幅を2→4→6→8→2と変更する。

92.
　[設定]ダイアログ-[高度な設定]で、[追加するパス]＆[追加する環境変数]を
指定できるようにした。未対応のコンパイラのときにautoexec.bat等を
書き換えることなく実行できるようになった

93.。
　[検索]-[インクリメンタルサーチ]を実装。これは便利！

94.
　WindowsNT/2000上において、コマンドプロンプトのタイトルを設定するように変更。

95.
　編集メニューのツールバーを実装。非表示設定可能。

96.
　ツールバー・ステータスバーの表示・非表示を実装。

97.
　上書・挿入モードの切り替えを実装。

98.
　キーワード強調表示のON/OFF（[表示]-[強調表示(Shift+Ctrl+E)]）を実装。

99.
　Hayato Sasaki氏のDelphiコンポーネント「CoolDialog」を使用し、Windows2000で
拡張ダイアログボックスを使えるようにした。

100.
　ヘルプファイルの指定に *.chm, *.html, *.pdf, *.txt ファイルも使えるように
変更。ただしキーワード検索は行えない。

101.
　デフォルトの[標準のデータ保存フォルダ]を表示するように変更。（Win98以降）

102.
　制御しているコンソールウィンドウが閉じたときに制御を終了するように改良。

103.
　バックアップ方式を改善。元のファイルが消えたように見えることがある不都合を
修正。

104.
　起動時オプション"-Title"でアプリケーションタイトルを一部
指定できるようにした。

例： -Title"きときとLab." のオプションで起動すると、タイトルバーが
"CPad for きときとLab."になる。（おまけ機能 (^_^;;）

105.
　LSI C-86の設定ファイル自動設定時にファイルの存在チェックを厳しくした。
フォルダなしで展開しているときには自動設定をしないように変更。

106.
　メニュー＆キーボードショートカットからコンソールウィンドウの制御を
できるように変更。

107.
　「設定ファイルの自動設定」を確認しながら設定する方式に変更。

108.
　ファイルのドラッグ＆ドロップの実装方法を変更し、終了時に画面全体が
ちらつく不都合を解消。

109.
　実行時パラメータが反映されなかったバグを修正。

110.
　レジストリ対応。設定保存方法をレジストリまたはINIファイルから選択できる。
初期設定ではINIファイルに保存。

111.
　フォルダ選択コンポーネントをヒシアマゾン氏のDelphiコンポーネント
「SHBrowseForFolderEx 2.01」に変更。ルートが「デスクトップ」になる。

112.
　起動時にメッセージウィンドウのサイズが調整されなかったバグを修正。

113.
　Fortran向けにタブ幅6を選択できるようにした。

114.
　選択時にカラー表示が乱れるバグを修正。

115.
　スレッドが無限ループに入るかもしれないバグを修正。

116.
　起動時にウィンドウが画面外に出ないようにした。

117.
　[自動的にバックアップを取る]がOFFにできないバグを修正。

118.
　バックアップファイルの拡張子を".txt"に変更。エディタで開きやすくなった。

119.
　実行ファイル名にあわせて制御ツールバーの幅を調整するように変更。

120.
　エディタの[BOX選択モード]を廃止。

121.
　[文字コードを自動認識して開く]、[文字コードを指定して保存]機能を実装。

122.
　フリーキャレットを実装。

123.
　LSIC版において、Version2.02以前のIniファイルの読み込みに対応した。

124.
　ソースファイルが変更されていないときの[コンパイル＆実行]を[実行]と
同一視するようにした。無駄なコンパイルを避けることができる。


2000/04/16

Version 2.04

79.
　拡張子をつけると「名前を付けて保存」ができないバグを修正。（よくこんな状態で
公開したなぁ・・・(2)）


2000/04/14

Version 2.03

74.
　"-"（マイナス記号）が入力できなくなっていた致命的なバグを修正。（よくこんな
状態で公開したなぁ・・・）

75.
　C/C++で"makefile"というファイルが作れなかったバグを修正。ただし、
"makefile"以外では拡張子を持たないファイルは作成できない。

76.
　LSI C-86設定ファイル"_lcc"の自動設定時のファイル存在チェックを厳しくした。

77.
　ソースファイルのドラッグ＆ドロップができなくなっていたバグを修正。

78.
　LSI C-86版のINIファイルのセクション名を[LsicMode]に変更。以前の
設定ファイルが使えなくなりました。


2000/04/10

Version 2.02

67.
　バッディングしていたものや、一般的でなかったショートカットキーを変更。

68.
　[ファイルを開く]ダイアログの初期状態で表示されるファイルの種類を増やした。

69.
　ツールバーアイコンを新たに自作。

70.
　行番号やルーラーの位置でキャレットが表示されてしまうバグを修正。

71.
　初回起動時の表示位置を調整。

72.
　[印刷・印刷プレビュー]時に、TAB幅の設定が反映されるようにした。

73.
　自動的に閉じる予定のコマンドプロンプトを閉じる前に終了すると
例外が発生するバグを修正。


2000/04/07

Version 2.01

63.
　印刷機能を搭載。行番号印刷、段組可。

64.
　フォーカスが失われたときにコンソールウィンドウ（コマンドプロンプト）を
自動的に閉じないようにした。フォーカスが戻ると再びカウントダウンが始まる。

65.
　[検索]ダイアログボックスや「LSI C-86 マニュアルビューア」で
ショートカットキーが機能しないバグを修正。

66.
　ヘルプ・LSI C-86 マニュアルビューア・検索ダイアログの初期検索文字列に、
選択文字列またはキャレット位置の文字列を設定するようにした。


2000/04/01

Version 2.00

62.
　開発環境をDelphi5 Professionalに移行し、１から作り直す。

・８ヶ月の沈黙を破ってバージョンアップ。
・対象コンパイラを決めて、より簡単・高機能に。
・実行方法を見直し、95/98/NT/2000でできるだけ変わりなく動作するようにした。
・最初から複数コンパイラ・複数言語・複数ファイルを意識した設計。
まずは「LSI C-86」と「Borland C++Compiler」向けを作成。
・アイコンを変更。
・Delphiコンポーネント
本田勝彦氏の「TEditor1.52」
米田 昌司氏の「ファイルドロップコンポーネント v1.00」
H-Triton氏の「フォルダー選択ダイアログコンポーネント (簡易版)」
を新たに採用して大幅に高機能化。


----------------------------------------------------------------------
1999/08/02

Version 1.60

60.
　コメントの色設定が保存されなかったバグを修正。

61.
　スクリプト実行機能を追加。[実行(R)]-[スクリプト実行(S)]メニューで起動。


1999/06/14

Version 1.52

58.
　データフォルダとコンパイラのあるフォルダのドライブが違うと実行できないバグを
再び修正。

59.
　[MS-DOS プロンプトを起動]メニューがうまく機能しなかったバグを修正。


1999/05/27

Verison 1.51

57.
　Ctrl + M のショートカットが[Enter]のキーアサインと衝突していたバグを修正。
MS-DOS プロンプトの起動を Ctrl + Q に割り当てた。


1999/05/23

Version 1.50

49.
　LSI C-86 マニュアルビューアを大幅に改良。初回起動時で約１５倍！の高速化を
達成。また、テンポラリファイルを使用しないようにした。

50.
　フォントを変更すると、次の起動時からフォントが「ＭＳ Ｐゴシック」に
なってしまうバグを修正。

51.
　"LSIC86.MAN" のパスを指定しなくても起動できるようにした。ただしこの場合、
当然マニュアルビューアは使えない。

52.
　タブ幅を 2 / 4 / 8 桁から選べるようにした。

53.
　IME 変換時の文字色を標準の灰色から青系に変更。

54.
　ＹＭ君デザインのアイコンをちょっと改造して採用。

55.
　コンパイル時に以前のパスを残さない設定を追加。

56.
　ソースファイルファイル更新の判定方法を改善。更新してないのに「ファイルの
内容が更新されています」と表示するバグを修正。


1999/05/09

Version 1.33

42.
　Ctrl + M -> Enter, Ctrl + H -> BackSpace というキーアサインを追加。

43.
　Dosプロンプトのウィンドウが開いている状態ではコンパイルや実行が
できなかったバグを修正。

44.
　Windows エクスプローラを起動できるようにした。

45.
　実行時引数（パラメータ）を指定できるようにした。

46.
　細かな操作ができるように、 MS-DOS プロンプトを入力可能な状態で開けるようにした。
47.
　文字列検索のバグを修正。

48.
　データフォルダとコンパイラのあるフォルダのドライブが違うと実行できないバグを
修正。


1999/04/24

Version 1.32

37.
　文字列＆コメントのカラー表示に対応。（当然手動更新(^_^;;;)）

38.
　ツールバー搭載。

39.
　自動バックアップ機能を搭載。

40.
　デバッグウィンドウを常に表示できるようにした。

41.
　起動時に指定することでcpad.ini以外の設定ファイルを使うことができるように
した。ただし、この場合起動と同時にファイルを開くことはできない。


1999/04/22

Version 1.31

34.
　キーワード強調表示を太字からカラーに変更（手動更新）。キーワードグループを
設定し、それぞれ別の色で強調表示できるようにした。また、キーワードをGUIで
変更可能にし、表示色のカスタマイズ機能も搭載。

35.
　不評だったキーワード自動更新機能を削除。

36.
　[表示(V)|現在の位置を標準に設定する(P)]で、起動時のウィンドウ表示位置を
変更できるようにした。


1999/04/17

Version 1.30

30.
　"{"と"}"の間で[Enter]キーを押したときにインデントしないようにした。

31.
　LSI C-86以外のコンパイラも使えるようにした。

32.
　LSI C-86マニュアルビューアを搭載。ハイパーリンクや検索機能も使える。
ただし重い・・・。

33.
　テンポラリフォルダを ...\Windows\Temp から ...\CPad\Temp に変更。


1999/03/09

Version 1.22

29.
　検索関連のバグを修正。（実は単純ミス・・・）


1999/03/09

Version 1.21

27.
　表示される行番号と、実際の行番号がずれるバグを修正。

28.
　コンパイル時に自動的に保存する設定を追加（デフォルトでON）。


1999/03/09

Version 1.20

25.
　LSI C-86の設定ファイルを自動的に書き換えるようにした。（デフォルトの
設定ファイルは、"_lcc.def"にリネーム）

26.
　ファイルの保存と読み込みの動作を若干変更。


1999/03/08

Version 1.10

21.
　手動操作によるキーワード強調表示機能を搭載。

22.
　起動時に指定したファイル（ドラッグ＆ドロップしたファイル）を
開けるようにした。
23.
　ウィンドウにファイルをドラッグ＆ドロップするだけでファイルが
開けるようにした。

24.
　キーワード強調表示の自動更新機能を一応搭載。


1999/03/07

Version 1.02

20.
　ファイルの保存と読み込みに関するバグを修正。


1999/03/05

Version 1.01

19.
　Dosプロンプトでの、コンパイル＆実行がうまく動作しないバグを修正。


1999/03/04

Version 1.00
7.
　LCC.EXEの起動方法を変更。全ての環境で、ちゃんとコンパイル＆実行ができるはず。

8.
　ファイル保存関連を整備。更新ファイルの保存確認などを追加。

9.
　Hidemi Oya氏の「拡張メモコンポーネント Version 1.30」を使用し、
エディタ部分を大幅に改良。自動インデント、行表示、特殊文字表示など。

10.
　最近使ったファイルを表示する機能を追加。

11.
　編集メニューを完全装備。

12.
　デバッグ情報をメインウィンドウに統合。

13.
　フォント変更機能を追加。

14.
　検索、置換機能を追加。（バグを含んでいる可能性大。）これに伴って、
[コンパイル(C)|実行(R)]のショートカットを Ctrl+E(Execute)に変更。

15.
　"cpad.ini"がない場合に、自動生成するようにした。

16.
　ヒシアマゾン氏の「SHBrowseForFolderEx Version 2.01」を使用し、
上の(15)においてフォルダ指定ができるようにした。

17.
　ファイルの保存時に、拡張子をつけなかった場合に自動的に、".c"をつけるように
した。

18.
　適当にアイコンを作った。


1998/11/17

Version 0.02

2.
　メニューのショートカットキーの設定をはずして、キーボードショートカット
（元に戻す、切り取り、コピー、張り付け、すべて選択）を使えるようにした。

3.
　LCC.EXEの起動方法を変更。より多くの環境でコンパイル、実行ができるようにした。

4.
　メニューの、[コンパイル(C)|コンパイル＆実行(L) Ctrl+L]　のキーボード
ショートカットを、[コンパイル(C)|コンパイル＆実行(&A) F9]に
変更（F9はDelphi風）。

5.
　[コンパイル(C)|コンパイル＆実行(A) F9]を使えるようにした。

6.
　TABキーでTABを入力できるようにした。


1998/11/09

Version 0.01

1.
　原子力工学概論の講義を犠牲にして初版を作成（約２時間）。
